var gulp = require('gulp');
var jshint = require('gulp-jshint');
var concat = require('gulp-concat');

gulp.task('default', function(done){
  gulp.src('src/**/*.js')
    .pipe(jshint())
    .pipe(concat('bundle.js'))
    .pipe(gulp.dest('dist'))
    .on('end', done);
});

gulp.watch('src/**/*.js', ['default']);
